<?php
/**
 * The public-facing functionality of the plugin.
 *
 * @link      https://tillpaid.com/
 * @since     4.0.1
 *
 * @package    Cash_To_Cash_Payments_For_Woocommerce
 * @subpackage Cash_To_Cash_Payments_For_Woocommerce/public
 */

/**
 * The public-facing functionality of the plugin.
 *
 * @package    Cash_To_Cash_Payments_For_Woocommerce
 * @subpackage Cash_To_Cash_Payments_For_Woocommerce/public
 * @author     TillPaid <contact@tillpaid.com>
 */
class Cash_To_Cash_Payments_For_Woocommerce_Public {

	/**
	 * The ID of this plugin.
	 *
	 * @var string
	 */
	private $plugin_name;

	/**
	 * The plugin version.
	 *
	 * @var string
	 */
	private $version;

	/**
	 * Constructor.
	 *
	 * @param string $plugin_name Plugin name.
	 * @param string $version Plugin version.
	 */
	public function __construct( $plugin_name, $version ) {

		$this->plugin_name = $plugin_name;
		$this->version     = $version;

	}

	/**
	 * Register the public stylesheets.
	 */
	public function enqueue_styles() {

		wp_enqueue_style(
			$this->plugin_name,
			plugin_dir_url( __FILE__ ) . 'css/cash-to-cash-payments-for-woocommerce-public.css',
			array(),
			$this->version,
			'all'
		);

	}

	/**
	 * Register the public JavaScript.
	 */
	public function enqueue_scripts() {

		wp_enqueue_script(
			$this->plugin_name,
			plugin_dir_url( __FILE__ ) . 'js/cash-to-cash-payments-for-woocommerce-public.js',
			array( 'jquery' ),
			$this->version,
			true
		);

	}

}